-- replaces hud notify text with a clabel based one 

local clabel = dofile("clabel.lua")

local function replacor(oldctl, newctl) 
	local box = iup.GetParent(oldctl)
	local boxctls = {}
	local child = iup.GetNextChild(box)
	
	while child do
		table.insert(boxctls, (child ~= oldctl) and child or newctl)
		local next = iup.GetBrother(child)
		iup.Detach(child)
		child = next
	end
	
	for _,v in ipairs(boxctls) do
		iup.Append(box, v)
	end
end


local function modify()
	local reload_old = HUD.Reload
	function HUD:Reload()
		reload_old(self)
		modify()
	end

	if HUD.ntt then
		UnregisterEvent(HUD.ntt, "MSG_NOTIFICATION")
	end
	UnregisterEvent(HUD, "MSG_NOTIFICATION")


	local ntt = clabel.new()
	ntt:setfont(Font.HUDNotification * HUD_SCALE)
	ntt.color = "40 180 240"
	ntt.expand = "HORIZONTAL"
	ntt.alignment = "ACENTER"
	
	replacor(HUD.notify_text, ntt)
	HUD.notify_text = ntt
	HUD.ntt = ntt

	function HUD.notify_text:OnEvent(str, msg)
		if HUD.IsVisible then
			for i in pairs(self.chars) do
				FadeStop(i)
			end
			self:set(msg)
			for i in pairs(self.chars) do
				FadeControl(i, 5, 4, 0)
			end
			self.color = "40 180 240"
		end
	end
	RegisterEvent(HUD.notify_text, "MSG_NOTIFICATION")	
end

modify()

